cgGetStateName(3)

NAME
cgGetStateName - get a state's name

SYNOPSIS
  #include <Cg/cg.h>
  const char * cgGetStateName( CGstate state );

PARAMETERS

state
    The state.

RETURN VALUES
Returns the NULL-terminated name string for the state.

Returns NULL if state is invalid.

DESCRIPTION
cgGetStateName allows the application to retrieve the name of a state defined in a Cg context. This name can be used later to retrieve the state from the context using the cgGetNamedState manpage.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_STATE_HANDLE_ERROR is generated if state is not a valid state.

HISTORY
cgGetStateName was introduced in Cg 1.4.

SEE ALSO
the cgGetNamedState manpage, the cgGetFirstState manpage, the cgGetNextState manpage